Subject: Re: bug#78296: Hand-written styles with `LaTeX-provided-package-options'

From: Ikumi Keita <[email-masked]>
Date: Mon, 12 May 2025 22:31:27 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:
>> (Maybe we should tune `LaTeX-auto-cleanup' to skip, for efficiency,
>> additions to `LaTeX-provided-package-options' and
>> `LaTeX-provided-class-options' when those variables already have
>> non-nil bindings.)

> How would you then reset those variables?  Say, you comment out your
> hand-written package and hit C-c C-n, now those variables should not
> contain your additions, but that will not happen, right?  Or am I
> missing something?

My thought is to add such skips in addition to your proposal, so I
expect that prefix argument C-u for C-c C-n would reset those variables.

(Please forgive me if I'm saying something stupid.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW